package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsDoctorArticleCate;
import com.fs.his.vo.OptionsVO;

/**
 * 医生文章分类Service接口
 *
 * @author fs
 * @date 2024-05-08
 */
public interface IFsDoctorArticleCateService
{
    /**
     * 查询医生文章分类
     *
     * @param cateId 医生文章分类主键
     * @return 医生文章分类
     */
    public FsDoctorArticleCate selectFsDoctorArticleCateByCateId(Long cateId);

    /**
     * 查询医生文章分类列表
     *
     * @param fsDoctorArticleCate 医生文章分类
     * @return 医生文章分类集合
     */
    public List<FsDoctorArticleCate> selectFsDoctorArticleCateList(FsDoctorArticleCate fsDoctorArticleCate);

    /**
     * 新增医生文章分类
     *
     * @param fsDoctorArticleCate 医生文章分类
     * @return 结果
     */
    public int insertFsDoctorArticleCate(FsDoctorArticleCate fsDoctorArticleCate);

    /**
     * 修改医生文章分类
     *
     * @param fsDoctorArticleCate 医生文章分类
     * @return 结果
     */
    public int updateFsDoctorArticleCate(FsDoctorArticleCate fsDoctorArticleCate);

    /**
     * 批量删除医生文章分类
     *
     * @param cateIds 需要删除的医生文章分类主键集合
     * @return 结果
     */
    public int deleteFsDoctorArticleCateByCateIds(Long[] cateIds);

    /**
     * 删除医生文章分类信息
     *
     * @param cateId 医生文章分类主键
     * @return 结果
     */
    public int deleteFsDoctorArticleCateByCateId(Long cateId);

    List<OptionsVO> selectFsArticleCateAllList();
}
